Subject: [bug#63893] gnu: nix: Update to 2.16.1

From: Sergei Trofimovich <[email-masked]>
Date: Tue, 27 Jun 2023 08:05:42 +0100

On Tue, 27 Jun 2023 06:03:03 +0000
"jgart" <[email-masked]> wrote:

> > Those look good to me. I did not runtime-test it though.  
> 
> Hi Sergei,
> 
> Thanks for the message.
> 
> Are you running the tests successfully for rapidcheck in your ebuild version? 

I do not enable `rapidcheck` tests. At least in theory enabling tests
via `-DRC_ENABLE_TESTS=ON` should be enough. In practice
`ext/CMakeLists.txt` implies a certain layout of `check2`, `gtest` and
`boost` dependencies checked out locally:

  git submodule:

    if (RC_ENABLE_TESTS OR RC_ENABLE_CATCH)
      add_subdirectory(catch)
    endif()

  another git submodule:

    if ((RC_ENABLE_GMOCK OR RC_ENABLE_GTEST) AND RC_ENABLE_TESTS)
      # On Windows, gmock/gtest defaults to static CRT which is not compatible
      # with the way RapidCheck is currently built
      set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
      add_subdirectory(googletest)
    endif()

  ad-hoc checkout with a stand alone script:

    if (RC_ENABLE_BOOST AND RC_ENABLE_TESTS)
      if (NOT EXISTS "${CMAKE_CURRENT_LIST_DIR}/boost")
        execute_process(
          COMMAND "sh" "get_boost.sh"
          WORKING_DIRECTORY "${CMAKE_CURRENT_LIST_DIR}")
      endif()
      add_library(boost INTERFACE)
      target_include_directories(boost INTERFACE boost)
    endif()

I did not try to satisfy these requirements. Ideally upstream should be
fixed to use already installed libraries. But I'm not very well versed
in `cmake` to propose such a change just yet.

> I don't know portage, unfortunately.
> 
> We'd like to get the tests running and passing for rapidcheck but they are currently disabled because we are not sure how to run the test suite for rapidcheck.
> 
> Have you had any success running the tests for rapidcheck?
> 
> all best,
> 
> jgart (Jorge)

-- 

  Sergei